<?php 
	const DB_Name = "wardropes_usw";

	$title = "Forms, in: ".DB_Name; 
?><!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title><?php echo $title; ?> </title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php
	
	echo '<b>'.$title.'</b>';
	require("functions.php");
	
	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', DB_Name );

	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	const showSQL = 1;
	const Form_Name  = 'FormName';
	const Hidden_Field = 'Hidden';
	const Submit_Field = 'SubmitF';
	const TrennZeichen = '!';
	const DEL_Person = 'Person';
	const DEL_Shirt  = 'Shirt';

	print_r ($_POST);
	
	if (!sizeof($_POST))
	{
		/*
		  Initial fall. Da das Script noch nicht aufgerufen worden ist, ist noch kein Formular angelegt 
		*/
		
		$TXT = 'Noch nix empfangen!';		
		$OutCounter = 0;		
	}
	else
	{
		$OutCounter = $_POST[Hidden_Field]+1;
		
		echo '<br>$task raw '.$_POST[Submit_Field];
		$task = explode(TrennZeichen, $_POST[Submit_Field]);
		echo '<br>$task[0]:>'.$task[0].'< $task[1]:>'.$task[1].'<';
		if ($task[0] == DEL_Person)
		{
			// es soll eine Person gelöscht werden
			$sql  = "DELETE FROM PERSON WHERE ID = '".$task[1]."' ";
			$sql_r = $conn->query($sql); 
			if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
			if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
		}
		elseif ($task[0] == DEL_Shirt)
		{
			// es soll eine Person gelöscht werden
			$sql  = "DELETE FROM SHIRT WHERE ID = '".$task[1]."' ";
			$sql_r = $conn->query($sql); 
			if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
			if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
			
		}
		else
			echo '<p><b>No Task found</b>';
		
	}
	echo '<p>Dies ist der '.$OutCounter.' Aufruf von sich selber';
	
	echo '<form action="'.basename(__file__).'" name="'.Form_Name.'" method="POST">';
	echo '<input type="hidden" name="'.Hidden_Field.'" value="'.$OutCounter.'">'; // Hier wird mitgezählt, wie oft er sich selber aufgerufen hat
	
	$sql  = "SELECT id, name FROM PERSON ";
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	
	echo $tab.'<tr><th>ID</th><th>Name</th><th>Delete</th></tr>';
	for (;$sql_row = $sql_r->fetch_array(MYSQLI_ASSOC);$header = 0) 
	{
		echo '<tr>';
		foreach ($sql_row AS $col)
		{
			
		// die Ergebniszeilen ausgeben
			echo '<td>'.htmlentities ($col, ENT_QUOTES, 'UTF-8').'</td>';
		}
		echo '<td><button type=”submit” name="'.Submit_Field.'" value="'.DEL_Person.TrennZeichen.$sql_row['id'].'" >Delete this Person</button></td>';
		echo '</tr>';
	}
	echo $tabClose;
	
	$sql  = "SELECT s.Id, style, color, name AS OwnerName FROM SHIRT AS S \n"
	      . "LEFT JOIN PERSON AS P ON s.owner = p.id ";
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	echo $tab.'<tr><th>ID</th><th>Style</th><th>Color</th><th>Owner</th><th>Delete</th></tr>';
	for (;$sql_row = $sql_r->fetch_array(MYSQLI_ASSOC);$header = 0) 
	{
		echo '<tr>';
		foreach ($sql_row AS $col)
		{
			
		// die Ergebniszeilen ausgeben
			echo '<td>'.htmlentities ($col, ENT_QUOTES, 'UTF-8').'</td>';
		}
		echo '<td><button type=”submit” name="'.Submit_Field.'" value="'.DEL_Shirt.TrennZeichen.$sql_row['Id'].'" >Delete this Shirt</button></td>';
		echo '</tr>';
	}
	echo $tabClose;
		echo '</form>';
	
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();

?>

 </body>
</html>